Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface SqlProviderDocument.SqlProvider

All Superinterfaces:
  BusProvider, Provider, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  SqlProviderDocumentImpl.SqlProviderImpl

Enclosing interface:
  SqlProviderDocument

    public static interface SqlProviderDocument.SqlProvider

extends BusProvider

An XML sql-provider(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `SqlProviderDocument.SqlProvider.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getDatasource()` Gets the "datasource" attribute
`java.lang.String` | `getDriver()` Gets the "driver" attribute
`java.lang.String` | `getPassword()` Gets the "password" attribute
`boolean` | `getTransacted()` Gets the "transacted" attribute
`java.lang.String` | `getUrl()` Gets the "url" attribute
`java.lang.String` | `getUsername()` Gets the "username" attribute
`boolean` | `isSetDatasource()` True if has "datasource" attribute
`boolean` | `isSetDriver()` True if has "driver" attribute
`boolean` | `isSetPassword()` True if has "password" attribute
`boolean` | `isSetTransacted()` True if has "transacted" attribute
`boolean` | `isSetUrl()` True if has "url" attribute
`boolean` | `isSetUsername()` True if has "username" attribute
`void` | `setDatasource(java.lang.String datasource)` Sets the "datasource" attribute
`void` | `setDriver(java.lang.String driver)` Sets the "driver" attribute
`void` | `setPassword(java.lang.String password)` Sets the "password" attribute
`void` | `setTransacted(boolean transacted)` Sets the "transacted" attribute
`void` | `setUrl(java.lang.String url)` Sets the "url" attribute
`void` | `setUsername(java.lang.String username)` Sets the "username" attribute
`void` | `unsetDatasource()` Unsets the "datasource" attribute
`void` | `unsetDriver()` Unsets the "driver" attribute
`void` | `unsetPassword()` Unsets the "password" attribute
`void` | `unsetTransacted()` Unsets the "transacted" attribute
`void` | `unsetUrl()` Unsets the "url" attribute
`void` | `unsetUsername()` Unsets the "username" attribute
`org.apache.xmlbeans.XmlString` | `xgetDatasource()` Gets (as xml) the "datasource" attribute
`org.apache.xmlbeans.XmlString` | `xgetDriver()` Gets (as xml) the "driver" attribute
`org.apache.xmlbeans.XmlString` | `xgetPassword()` Gets (as xml) the "password" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetTransacted()` Gets (as xml) the "transacted" attribute
`org.apache.xmlbeans.XmlString` | `xgetUrl()` Gets (as xml) the "url" attribute
`org.apache.xmlbeans.XmlString` | `xgetUsername()` Gets (as xml) the "username" attribute
`void` | `xsetDatasource(org.apache.xmlbeans.XmlString datasource)` Sets (as xml) the "datasource" attribute
`void` | `xsetDriver(org.apache.xmlbeans.XmlString driver)` Sets (as xml) the "driver" attribute
`void` | `xsetPassword(org.apache.xmlbeans.XmlString password)` Sets (as xml) the "password" attribute
`void` | `xsetTransacted(org.apache.xmlbeans.XmlBoolean transacted)` Sets (as xml) the "transacted" attribute
`void` | `xsetUrl(org.apache.xmlbeans.XmlString url)` Sets (as xml) the "url" attribute
`void` | `xsetUsername(org.apache.xmlbeans.XmlString username)` Sets (as xml) the "username" attribute

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.BusProvider
`addNewBus, getBusArray, getBusArray, getBusList, insertNewBus, removeBus, setBusArray, setBusArray, sizeOfBusArray`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Provider
`addNewProperty, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, removeProperty, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, xgetName, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getDatasource

    java.lang.String getDatasource()

  Gets the "datasource" attribute

### xgetDatasource

    org.apache.xmlbeans.XmlString xgetDatasource()

  Gets (as xml) the "datasource" attribute

### isSetDatasource

    boolean isSetDatasource()

  True if has "datasource" attribute

### setDatasource

    void setDatasource(java.lang.String datasource)

  Sets the "datasource" attribute

### xsetDatasource

    void xsetDatasource(org.apache.xmlbeans.XmlString datasource)

  Sets (as xml) the "datasource" attribute

### unsetDatasource

    void unsetDatasource()

  Unsets the "datasource" attribute

### getUrl

    java.lang.String getUrl()

  Gets the "url" attribute

### xgetUrl

    org.apache.xmlbeans.XmlString xgetUrl()

  Gets (as xml) the "url" attribute

### isSetUrl

    boolean isSetUrl()

  True if has "url" attribute

### setUrl

    void setUrl(java.lang.String url)

  Sets the "url" attribute

### xsetUrl

    void xsetUrl(org.apache.xmlbeans.XmlString url)

  Sets (as xml) the "url" attribute

### unsetUrl

    void unsetUrl()

  Unsets the "url" attribute

### getDriver

    java.lang.String getDriver()

  Gets the "driver" attribute

### xgetDriver

    org.apache.xmlbeans.XmlString xgetDriver()

  Gets (as xml) the "driver" attribute

### isSetDriver

    boolean isSetDriver()

  True if has "driver" attribute

### setDriver

    void setDriver(java.lang.String driver)

  Sets the "driver" attribute

### xsetDriver

    void xsetDriver(org.apache.xmlbeans.XmlString driver)

  Sets (as xml) the "driver" attribute

### unsetDriver

    void unsetDriver()

  Unsets the "driver" attribute

### getUsername

    java.lang.String getUsername()

  Gets the "username" attribute

### xgetUsername

    org.apache.xmlbeans.XmlString xgetUsername()

  Gets (as xml) the "username" attribute

### isSetUsername

    boolean isSetUsername()

  True if has "username" attribute

### setUsername

    void setUsername(java.lang.String username)

  Sets the "username" attribute

### xsetUsername

    void xsetUsername(org.apache.xmlbeans.XmlString username)

  Sets (as xml) the "username" attribute

### unsetUsername

    void unsetUsername()

  Unsets the "username" attribute

### getPassword

    java.lang.String getPassword()

  Gets the "password" attribute

### xgetPassword

    org.apache.xmlbeans.XmlString xgetPassword()

  Gets (as xml) the "password" attribute

### isSetPassword

    boolean isSetPassword()

  True if has "password" attribute

### setPassword

    void setPassword(java.lang.String password)

  Sets the "password" attribute

### xsetPassword

    void xsetPassword(org.apache.xmlbeans.XmlString password)

  Sets (as xml) the "password" attribute

### unsetPassword

    void unsetPassword()

  Unsets the "password" attribute

### getTransacted

    boolean getTransacted()

  Gets the "transacted" attribute

### xgetTransacted

    org.apache.xmlbeans.XmlBoolean xgetTransacted()

  Gets (as xml) the "transacted" attribute

### isSetTransacted

    boolean isSetTransacted()

  True if has "transacted" attribute

### setTransacted

    void setTransacted(boolean transacted)

  Sets the "transacted" attribute

### xsetTransacted

    void xsetTransacted(org.apache.xmlbeans.XmlBoolean transacted)

  Sets (as xml) the "transacted" attribute

### unsetTransacted

    void unsetTransacted()

  Unsets the "transacted" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD